Bug 975041 - Review Request: sblim-sfcCommon
Review Request: sblim-sfcCommon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 09:37 EDT by Vitezslav Crhonek
Modified: 2013-07-22 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 13:15:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dominik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vitezslav Crhonek 2013-06-17 09:37:00 EDT
Spec URL: http://vcrhonek.fedorapeople.org/sblim-sfcCommon/sblim-sfcCommon.spec
SRPM URL: http://vcrhonek.fedorapeople.org/sblim-sfcCommon/sblim-sfcCommon-1.0.1-1.fc18.src.rpm
Description: Common library for sblim-sfcb and sblim-sfcc
Comment 1 michal.simon 2013-07-10 04:20:47 EDT
I will make a review (my sponsor will approve the package once it's OK)
Comment 2 michal.simon 2013-07-10 09:29:20 EDT
1. Package builds correctly with mock.


2. rpmlint output:

Rpmlint
-------
Checking: sblim-sfcCommon-1.0.1-1.el6.x86_64.rpm
          sblim-sfcCommon-devel-1.0.1-1.el6.x86_64.rpm
sblim-sfcCommon.x86_64: W: spelling-error Summary(en_US) sfcb -> scab, sf, scrub
sblim-sfcCommon.x86_64: W: spelling-error Summary(en_US) sfcc -> sf cc, sf-cc, Sacco
sblim-sfcCommon.x86_64: W: spelling-error %description -l en_US sfcb -> scab, sf, scrub
sblim-sfcCommon.x86_64: W: spelling-error %description -l en_US sfcc -> sf cc, sf-cc, Sacco
sblim-sfcCommon.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfcUtil.so.0.0.0 exit@GLIBC_2.2.5
sblim-sfcCommon-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint sblim-sfcCommon-devel sblim-sfcCommon
sblim-sfcCommon-devel.x86_64: I: enchant-dictionary-not-found en_US
sblim-sfcCommon-devel.x86_64: W: no-documentation
sblim-sfcCommon.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfcUtil.so.0.0.0 exit@GLIBC_2.2.5
sblim-sfcCommon.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsfcUtil.so.0.0.0 /lib64/libdl.so.2
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

- The 'spelling-error' warrnings are false positives. 

- The 'shared-lib-calls-exit' should be fixed by upstream however as far as I can tell it is not a blocker. 

- 'unused-direct-shlib-dependency' - it would be nice if it could be fixed (but it's only an efficiency issue)


3. In spec file you only mention EPL licence and the ltmain.sh uses GPL this has to be fixed (https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios).


4. In the devel package you should have:
     %{name}%{?_isa} = %{version}-%{release}
   rather than:
     %{name} = %{version}-%{release}

5. Instead of:
     %{_libdir}/libsfcUtil.so.0.0.0
     %{_libdir}/libsfcUtil.so.0
   you could do just:
     %{_libdir}/libsfcUtil.so.*
   but that's optional


6.
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable

MUST

[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Packages must NOT bundle copies of system libraries.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Each package must consistently use macros.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates. 
     If it does not create a directory that it uses, then it should require a package which does create that directory.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.

SHOULD

[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[x]: Scriptlets must be sane, if used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
Comment 3 Vitezslav Crhonek 2013-07-15 09:23:43 EDT
(In reply to michal.simon from comment #2)

Thanks for taking the review!

> 
> 3. In spec file you only mention EPL licence and the ltmain.sh uses GPL this
> has to be fixed
> (https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#Multiple_Licensing_Scenarios).

ltmain.sh is generated file and states:

# As a special exception to the GNU General Public License,
# if you distribute this file as part of a program or library that
# is built using GNU Libtool, you may include this file under the
# same distribution terms that you use for the rest of that program.

So I think that adding GPL is not necessary?

> 
> 
> 4. In the devel package you should have:
>      %{name}%{?_isa} = %{version}-%{release}
>    rather than:
>      %{name} = %{version}-%{release}

Fixed.

> 
> 5. Instead of:
>      %{_libdir}/libsfcUtil.so.0.0.0
>      %{_libdir}/libsfcUtil.so.0
>    you could do just:
>      %{_libdir}/libsfcUtil.so.*
>    but that's optional

Changed.
Comment 4 michal.simon 2013-07-15 10:04:04 EDT
it seems that you're right about the license (sorry for not reading it carefully enough)

Thanks for fixing 4 and 5.
Comment 5 Dominik 'Rathann' Mierzejewski 2013-07-21 15:58:23 EDT
Good review, Michał. Some minor nitpicks from myself below (can be fixed before first build in git):

Summary: Common library for sblim-sfcb and sblim-sfcc

This could be improved. Suggestion:

Summary: Common functions for SBLIM Small Footprint CIM Broker and C library.

You have 80 characters available, so use them well. :)

Group: Development/Libraries

This is redundant unless you intend to package for EL5.

URL: http://www.sblim.org/

doesn't seem to be related to the project. Maybe http://sourceforge.net/projects/sblim/ would be better?

By the way, I noticed that the URL for the existing sblim-sfcc package points to the same URL http://www.sblim.org/ , so you might want to fix that as well.

Please investigate and report the unused dependency on libdl upstream, like Michał highlighted.

Looks good otherwise, so:

APPROVED.
Comment 6 Vitezslav Crhonek 2013-07-22 11:07:21 EDT
New Package SCM Request
=======================
Package Name: sblim-sfcCommon
Short Description: Common functions for SBLIM Small Footprint CIM Broker and CIM Client Library.
Owners: vcrhonek
Branches:
InitialCC:
Comment 7 Gwyn Ciesla 2013-07-22 11:51:27 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.